For the complete documentation index, see llms.txt. This page is also available as Markdown.

POST /AccessReviews

Use Cakewalk's Access Reviews to streamline access control for apps. Replace spreadsheets with structured campaigns, dashboards and audit trails.

Creates an access review

post
Authorizations
X-API-KEYstringRequired

Public API key used to identify the client application. It should be included in all requests.

Header parameters
X-API-SECRETstringRequired

API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.

Example: YOUR_API_SECRET
Body

Request to create a new access review

namestring · min: 1Required

Name of the new access review. It should be unique.

descriptionstring · nullableOptional

Description of the access review.

accessReviewTypestring · enumRequiredPossible values:
dueDatestring · date-timeRequired

Due date of the access review.

workAppIdsstring · uuid[]Required

List of work apps included in the access review. If empty, all work apps will be included.

createdByUserIdstring · uuidRequired

User that appears as creator of the request.

Responses
204

No Content

No content

post/api/v1/AccessReviews

No content

Last updated

Was this helpful?